Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.netty.handler.execution
Class ChannelEventRunnable

    java.lang.Object
      org.jboss.netty.handler.execution.ChannelEventRunnable

All Implemented Interfaces:
  Runnable, EstimatableObjectWrapper

    public class ChannelEventRunnable

extends Object
implements Runnable, EstimatableObjectWrapper

a `Runnable` which sends the specified `ChannelEvent` upstream. Most users will not see this type at all because it is used by `Executor` implementors only

Version:
  $Rev: 2187 $, $Date: 2010-02-19 17:43:13 +0900 (Fri, 19 Feb 2010) $
Author:
  The Netty Project, Trustin Lee

Constructor Summary
`ChannelEventRunnable(ChannelHandlerContext ctx, ChannelEvent e)` Creates a `Runnable` which sends the specified `ChannelEvent` upstream via the specified `ChannelHandlerContext`.

Method Summary
`ChannelHandlerContext` | `getContext()` Returns the `ChannelHandlerContext` which will be used to send the `ChannelEvent` upstream.
`ChannelEvent` | `getEvent()` Returns the `ChannelEvent` which will be sent upstream.
`void` | `run()` Sends the event upstream.
`Object` | `unwrap()` Returns the underlying object that needs to be taken into account by `ObjectSizeEstimator` for more accurate object size estimation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChannelEventRunnable

    public ChannelEventRunnable(ChannelHandlerContext ctx,
                                ChannelEvent e)

  Creates a `Runnable` which sends the specified `ChannelEvent` upstream via the specified `ChannelHandlerContext`.

Method Detail

### getContext

    public ChannelHandlerContext getContext()

  Returns the `ChannelHandlerContext` which will be used to send the `ChannelEvent` upstream.

### getEvent

    public ChannelEvent getEvent()

  Returns the `ChannelEvent` which will be sent upstream.

### run

    public void run()

  Sends the event upstream.

  Specified by:
    `run` in interface `Runnable`

### unwrap

    public Object unwrap()

  Description copied from interface: `EstimatableObjectWrapper`
  Returns the underlying object that needs to be taken into account by `ObjectSizeEstimator` for more accurate object size estimation.

  Specified by:
    `unwrap` in interface `EstimatableObjectWrapper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.